org.apache.commons.jexl3

## Class JexlException.Cancel

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.jexl3.JexlException
        - - org.apache.commons.jexl3.JexlException.Cancel

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    JexlException

      public static class JexlException.Cancel
      extends JexlException

  Thrown to cancel a script execution.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.commons.jexl3.JexlException

      `JexlException.Ambiguous, JexlException.Annotation, JexlException.Assignment, JexlException.Break, JexlException.Cancel, JexlException.Continue, JexlException.Feature, JexlException.Method, JexlException.Operator, JexlException.Parsing, JexlException.Property, JexlException.Return, JexlException.StackOverflow, JexlException.Tokenization, JexlException.TryFailed, JexlException.Variable, JexlException.VariableIssue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Cancel(org.apache.commons.jexl3.parser.JexlNode node)` Creates a new instance of Cancel.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.jexl3.JexlException

      `annotationError, clean, detailedMessage, getDetail, getInfo, getInfo, getMessage, info, methodError, methodError, operatorError, parserError, propertyError, propertyError, sliceSource, tryFailed, variableError, variableError`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Cancel

          public Cancel(org.apache.commons.jexl3.parser.JexlNode node)

      Creates a new instance of Cancel.
      Parameters:
        `node` - the node where the interruption was detected

Copyright © 2001–2022 The Apache Software Foundation. All rights reserved.